QGIS Application - Feature request #10222
Geopackage support: add layer through Browser
2014-05-09 08:48 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 18667
Description

With GDAL 1.11 we got gpkg support for free. However, layers can be added only through "Add vector" dialog.
Please add support in the Browser.

History

#1 - 2014-05-09 11:59 AM - Etienne Tourigny

That isn't as simple as it seems, as there is no such functionality in the ogr provider.

Perhaps that and the spatialite layers should be handled in the same way via the ogr provider? There could be a new GDAL/OGR top menu item, perhaps

with a submenu for each of gdal/ogr supported data source types that are not simple files (such as spatialite, geopackage, mysq|, psql, etc.).

#2 - 2014-05-09 12:03 PM - Paolo Cavallini

Perhaps cloning the spatialite entry?

#3 - 2014-05-09 12:10 PM - Etienne Tourigny
the spatialite data items use the spatialite provider (AFAIK) not the gdal provider. Wouldn't it be better to do something which could be generic and useful

for other formats? Something like the add vector dialog, that has many database types. Something like a base class and several instances which open the

specific settings dialog.

#4 - 2014-05-09 12:15 PM - Paolo Cavallini

- Subject changed from Gaeopackage support: add layer through Browser to Geopackage support: add layer through Browser

#5 - 2014-05-09 12:26 PM - Etienne Tourigny

Oh | think | understand what you mean - you add support for geopackage files when browsing the directory tree right? | thought you meant to add them as
permanent connections in the bottom of the browser, like spatialite and other Database connections.

#6 - 2014-05-09 04:25 PM - Etienne Tourigny
- Status changed from Open to In Progress
- % Done changed from 0 to 50

fixed in master. You can now browse and open .gpk files. Setting as 50% done as it would be nice to add persistent entries as per spatialite.
#7 - 2014-05-11 11:06 PM - Paolo Cavallini

See also #10228

#8 - 2015-01-28 02:01 PM - Sfkeller -

Are you aware, that there's also a "Vectorlayer save as..." missing for GeoPackage format?
This would enhance chances to finally get a common "Shapefile of the future..." :-).
Or should this become a separate issue (feature request)?

#9 - 2015-01-28 10:49 PM - Paolo Cavallini

Yes, please, one feature (or bug)==one ticket.

#10 - 2015-06-06 01:19 AM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

Etienne Tourigny wrote:

Setting as 50% done as it would be nice to add persistent entries as per spatialite.

| think that this is covered by #10228 and #12897
